Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 969860

Summary: segfault with SetEnvIfExpr and SetEnvIf
Product: [Fedora] Fedora Reporter: Philip Prindeville <philipp>
Component: httpdAssignee: Joe Orton <jorton>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: jkaluza, jorton, pahan, philipp
Target Milestone: ---Keywords: EasyFix, Upstream
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://issues.apache.org/bugzilla/show_bug.cgi?id=54881
Whiteboard:
Fixed In Version: httpd-2.4.6-2.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-16 19:03:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Philip Prindeville 2013-06-02 14:57:27 EDT
Description of problem:

Seeing SEGV on startup when using the following mod_setenvif line:

# permanently block Enzu
SetEnvIfExpr "-R '192.157.192.0/18'" is_a_bogon

and seen in the journalctl log:

Jun 02 12:39:03 mail systemd[1]: Unit httpd.service entered failed state
Jun 02 12:39:03 mail systemd[1]: Starting The Apache HTTP Server...
Jun 02 12:39:03 mail kernel: httpd[4737]: segfault at 0 ip 00007fb7068f0b69 sp 00007fffbece42e8 error 4 in libc-2.16.so[7fb7067a3000+1ad000]
Jun 02 12:39:03 mail systemd[1]: httpd.service: main process exited, code=killed, status=11/SEGV
Jun 02 12:39:03 mail kernel: httpd[4739]: segfault at 0 ip 00007fe6c5623b69 sp 00007fffc873a618 error 4 in libc-2.16.so[7fe6c54d6000+1ad000]
Jun 02 12:39:03 mail systemd[1]: httpd.service: control process exited, code=killed status=11
Jun 02 12:39:03 mail systemd[1]: Failed to start The Apache HTTP Server.
Jun 02 12:39:03 mail systemd[1]: Unit httpd.service entered failed state

Version-Release number of selected component (if applicable):

2.4.4-3

How reproducible:

As above configuration line when using mod_setenvif.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Fixed upstream.

https://issues.apache.org/bugzilla/show_bug.cgi?id=54881
Comment 1 Philip Prindeville 2013-06-02 15:06:56 EDT
I added this patch to my .spec and sources, rebuilt, reinstalled, and it works like a champ.
Comment 2 Fedora Update System 2013-07-31 10:13:48 EDT
httpd-2.4.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/httpd-2.4.6-2.fc18
Comment 3 Fedora Update System 2013-08-01 23:20:23 EDT
Package httpd-2.4.6-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-2.4.6-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13922/httpd-2.4.6-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-16 19:03:05 EDT
httpd-2.4.6-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.